# Copyright (C) 2018 Avatao.com Innovative Learning Kft.
# All Rights Reserved. See LICENSE file for details.


from tfw import EventHandlerBase
from tfw.mixins import MonitorManagerMixin
from .log_monitor import LogMonitor


class LogMonitoringEventHandler(EventHandlerBase, MonitorManagerMixin):
    def __init__(self, process_name, log_tail=0):
        MonitorManagerMixin.__init__(self, LogMonitor, process_name, log_tail)

    def handle_event(self, message):
        pass
